Subject: Re: C++ link errors using gcc from cvs
From: "Christopher Currie" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sun, 17 Mar 2002 21:48:10 -0800 (PST)

On Sun, 17 March 2002, Tim Prince wrote
> I thought everyone recognized that mixing c++ libraries between gcc-3.1 and 
> gcc-2.95 was even less likely to work than between gcc-3.0x and 2.95.  Even 
> the use of 2.95 with non-default stack alignment is enough to break the 
> libraries which come with it, and commercial compilers which aim at a degree 
> of gcc compatibility don't try to mix libraries.  Yes, it's easy to break the 
> cygwin g++/g77 installation by a parallel installation of gcc-3.1, even with 
> the best of intentions, but each compiler should default to its own copy of 
> libstdc++, if you install them normally in separate directories.

That was my understanding as well, and I allowed gcc the default installation directory of
/usr/local. But what seems to be happening (confirmed by using -Wl,-M to trigger a link map from the
linker) is that the g++ in /usr/bin is attempting to link to /usr/local/lib/libstdc++.a, and the
g++-3.1 in /usr/local/bin is attempting to link to /usr/lib/libstdc++.a, and I'm not sure why. It's
probably an installation SNAFU on my part, but I'm having a hard time tracking it down.

Christopher

-------------------------------------------------------
With reasonable men I will reason;
with humane men I will plead;
but to tyrants I will give no quarter.
                -- William Lloyd Garrison

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/